﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace TabsStudioITransform
{
    public partial class OptionsDialog
    {
        public OptionsDialog(Options options_)
        {
            options = options_;
            InitializeComponent();
            textBox1.Text = options.interfaceRegex;
            textBox3.Text = options.replacementRegex;
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                VerifyRegex();
            }
            catch (System.Exception ex)
            {
                MessageBox.Show(this, ex.Message, "Regex error", MessageBoxButton.OK, MessageBoxImage.Error);
                return;
            }
            options.interfaceRegex = textBox1.Text;
            options.replacementRegex = textBox3.Text;
            DialogResult = true;
        }

        private void VerifyRegex()
        {
            System.Text.RegularExpressions.Regex interfaceRegex = new System.Text.RegularExpressions.Regex(textBox1.Text);
            System.Text.RegularExpressions.Regex.Replace("test.cs", textBox1.Text, textBox3.Text);
        }

        private Options options;
    }
}
